package com.younike.system.domain;

import com.younike.common.annotation.Excel;
import com.younike.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 店铺银行信息对象 merchant_bank
 * 
 * @author elev
 * @date 2022-01-05
 */
public class MerchantBank extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long merchantId;

    /** 持卡人姓名 */
    @Excel(name = "持卡人姓名")
    private String userName;

    /** 开户行 */
    @Excel(name = "开户行")
    private String bankBranchName;

    /** 开户行联行号 */
    @Excel(name = "开户行联行号")
    private String bankBranchCode;

    /** 银行卡图片 */
    @Excel(name = "银行卡图片")
    private String bankImg;

    /** 银行卡号 */
    @Excel(name = "银行卡号")
    private String bankAccount;

    /** 银行类型 */
    @Excel(name = "银行类型")
    private Integer bankType;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    /** 预留字段1 */
    @Excel(name = "预留字段1")
    private String column1;

    /** 预留字段2 */
    @Excel(name = "预留字段2")
    private String column2;

    /** 预留字段2 */
    @Excel(name = "预留字段2")
    private String column3;

    public void setMerchantId(Long merchantId) 
    {
        this.merchantId = merchantId;
    }

    public Long getMerchantId() 
    {
        return merchantId;
    }
    public void setUserName(String userName) 
    {
        this.userName = userName;
    }

    public String getUserName() 
    {
        return userName;
    }
    public void setBankBranchName(String bankBranchName) 
    {
        this.bankBranchName = bankBranchName;
    }

    public String getBankBranchName() 
    {
        return bankBranchName;
    }
    public void setBankBranchCode(String bankBranchCode) 
    {
        this.bankBranchCode = bankBranchCode;
    }

    public String getBankBranchCode() 
    {
        return bankBranchCode;
    }
    public void setBankImg(String bankImg) 
    {
        this.bankImg = bankImg;
    }

    public String getBankImg() 
    {
        return bankImg;
    }
    public void setBankAccount(String bankAccount) 
    {
        this.bankAccount = bankAccount;
    }

    public String getBankAccount() 
    {
        return bankAccount;
    }
    public void setBankType(Integer bankType) 
    {
        this.bankType = bankType;
    }

    public Integer getBankType() 
    {
        return bankType;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }
    public void setColumn1(String column1) 
    {
        this.column1 = column1;
    }

    public String getColumn1() 
    {
        return column1;
    }
    public void setColumn2(String column2) 
    {
        this.column2 = column2;
    }

    public String getColumn2() 
    {
        return column2;
    }
    public void setColumn3(String column3) 
    {
        this.column3 = column3;
    }

    public String getColumn3() 
    {
        return column3;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("merchantId", getMerchantId())
            .append("userName", getUserName())
            .append("bankBranchName", getBankBranchName())
            .append("bankBranchCode", getBankBranchCode())
            .append("bankImg", getBankImg())
            .append("bankAccount", getBankAccount())
            .append("bankType", getBankType())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("column1", getColumn1())
            .append("column2", getColumn2())
            .append("column3", getColumn3())
            .toString();
    }
}
